## org.firebirdsql.jca
Class FBIncorrectXidException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.resource.ResourceException
                  org.firebirdsql.jca.FBResourceException
                      org.firebirdsql.jca.FBIncorrectXidException

All Implemented Interfaces:
  Serializable

    public class FBIncorrectXidException

extends FBResourceException

This error is thrown when message read from the RDB$TRANSACTIONS table does not represent a serialized Xid.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.firebirdsql.jca.FBResourceException
`SQL_STATE_GENERAL_ERROR`

Constructor Summary
`FBIncorrectXidException(Exception original)`
`FBIncorrectXidException(String reason)`
`FBIncorrectXidException(String reason, Exception original)`
`FBIncorrectXidException(String reason, String errorCode)`

Method Summary

Methods inherited from class org.firebirdsql.jca.FBResourceException
`getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class javax.resource.ResourceException
`getErrorCode, getLinkedException, setErrorCode, setLinkedException, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FBIncorrectXidException

    public FBIncorrectXidException(Exception original)

### FBIncorrectXidException

    public FBIncorrectXidException(String reason,
                                   Exception original)

### FBIncorrectXidException

    public FBIncorrectXidException(String reason,
                                   String errorCode)

### FBIncorrectXidException

    public FBIncorrectXidException(String reason)

Copyright © 2001-2010. All Rights Reserved.